Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class FrameCountsImpl

    java.lang.Object
      edu.stanford.smi.protege.model.FrameCountsImpl

All Implemented Interfaces:
  FrameCounts

    public class FrameCountsImpl

extends Object
implements FrameCounts

Constructor Summary
`FrameCountsImpl()`

Method Summary
`int` | `getDirectClsCount()`
`int` | `getDirectFacetCount()`
`int` | `getDirectFrameCount()`
`int` | `getDirectSimpleInstanceCount()`
`int` | `getDirectSlotCount()`
`int` | `getIncludedClsCount()`
`int` | `getIncludedFacetCount()`
`int` | `getIncludedFrameCount()`
`int` | `getIncludedSimpleInstanceCount()`
`int` | `getIncludedSlotCount()`
`int` | `getSystemClsCount()`
`int` | `getSystemFacetCount()`
`int` | `getSystemFrameCount()`
`int` | `getSystemSimpleInstanceCount()`
`int` | `getSystemSlotCount()`
`int` | `getTotalClsCount()`
`int` | `getTotalFacetCount()`
`int` | `getTotalFrameCount()`
`int` | `getTotalSimpleInstanceCount()`
`int` | `getTotalSlotCount()`
`void` | `updateDirectFrameCounts(KnowledgeBase kb)`
`void` | `updateIncludedFrameCounts(KnowledgeBase kb)`
`void` | `updateSystemFrameCounts(KnowledgeBase kb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameCountsImpl

    public FrameCountsImpl()

Method Detail

### updateSystemFrameCounts

    public void updateSystemFrameCounts(KnowledgeBase kb)

### updateIncludedFrameCounts

    public void updateIncludedFrameCounts(KnowledgeBase kb)

### updateDirectFrameCounts

    public void updateDirectFrameCounts(KnowledgeBase kb)

### getSystemClsCount

    public int getSystemClsCount()

  Specified by:
    `getSystemClsCount` in interface `FrameCounts`

### getSystemSlotCount

    public int getSystemSlotCount()

  Specified by:
    `getSystemSlotCount` in interface `FrameCounts`

### getSystemFacetCount

    public int getSystemFacetCount()

  Specified by:
    `getSystemFacetCount` in interface `FrameCounts`

### getSystemSimpleInstanceCount

    public int getSystemSimpleInstanceCount()

  Specified by:
    `getSystemSimpleInstanceCount` in interface `FrameCounts`

### getSystemFrameCount

    public int getSystemFrameCount()

  Specified by:
    `getSystemFrameCount` in interface `FrameCounts`

### getIncludedClsCount

    public int getIncludedClsCount()

  Specified by:
    `getIncludedClsCount` in interface `FrameCounts`

### getIncludedSlotCount

    public int getIncludedSlotCount()

  Specified by:
    `getIncludedSlotCount` in interface `FrameCounts`

### getIncludedFacetCount

    public int getIncludedFacetCount()

  Specified by:
    `getIncludedFacetCount` in interface `FrameCounts`

### getIncludedSimpleInstanceCount

    public int getIncludedSimpleInstanceCount()

  Specified by:
    `getIncludedSimpleInstanceCount` in interface `FrameCounts`

### getIncludedFrameCount

    public int getIncludedFrameCount()

  Specified by:
    `getIncludedFrameCount` in interface `FrameCounts`

### getDirectClsCount

    public int getDirectClsCount()

  Specified by:
    `getDirectClsCount` in interface `FrameCounts`

### getDirectSlotCount

    public int getDirectSlotCount()

  Specified by:
    `getDirectSlotCount` in interface `FrameCounts`

### getDirectFacetCount

    public int getDirectFacetCount()

  Specified by:
    `getDirectFacetCount` in interface `FrameCounts`

### getDirectSimpleInstanceCount

    public int getDirectSimpleInstanceCount()

  Specified by:
    `getDirectSimpleInstanceCount` in interface `FrameCounts`

### getDirectFrameCount

    public int getDirectFrameCount()

  Specified by:
    `getDirectFrameCount` in interface `FrameCounts`

### getTotalClsCount

    public int getTotalClsCount()

  Specified by:
    `getTotalClsCount` in interface `FrameCounts`

### getTotalSlotCount

    public int getTotalSlotCount()

  Specified by:
    `getTotalSlotCount` in interface `FrameCounts`

### getTotalFacetCount

    public int getTotalFacetCount()

  Specified by:
    `getTotalFacetCount` in interface `FrameCounts`

### getTotalSimpleInstanceCount

    public int getTotalSimpleInstanceCount()

  Specified by:
    `getTotalSimpleInstanceCount` in interface `FrameCounts`

### getTotalFrameCount

    public int getTotalFrameCount()

  Specified by:
    `getTotalFrameCount` in interface `FrameCounts`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.